Subject: Re: ab/* topics (was: Re: What's cooking in git.git (Nov 2018, #01; Thu, 1))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 01 Nov 2018 14:46:41 +0100

On Thu, Nov 01 2018, SZEDER Gábor wrote:

> On Thu, Nov 01, 2018 at 12:02:01PM +0100, Ævar Arnfjörð Bjarmason wrote:
>> Could you please pick up
>> https://public-inbox.org/git/[email-masked]/ ?
>> It seems to have fallen between the cracks and addressed the feedback on
>> v1, and looks good to me (and nobody's objected so far...).
>
> I didn't object, because in
>
>   https://public-inbox.org/git/[email-masked]/
>
> you asked for "a more general review than just the problem of how
> we turn an env variable into a boolean".
>
> However, if you push that patch with 'sh-i18n--helper' as-is, then I
> do object now: parsing a boolean in shell is not at all that difficult
> to justify this new command.

So instead of calling a helper (which is undocumented, and only used by
git itself internally) you'd instead like to have some shellscript
thingy like:

    if test $value = 'true' -o $value = '1' [....]
    then
        exit 0
    elif test $value = 'false' -o $value = '0' [...]

Sure, if that's the consensus I can change that, but it seems like the
opposite of the direction we're moving with the general *.sh -> *.c
migration. I.e. implementing helpers whenever possible instead of adding
new shellscript-only logic.